Introduction

Thank you for using Microsoft Pinyin IME (MSPY). Based on previous version, MSPY 2010 has significant improvements on performance and accuracy. Many new features are introduced to cater to your needs. Whether you are a computer expert, or a complete novice, MSPY is developed to be easy to use, and quick to master.

Choose your input style

MSPY 2010 provides two different input styles.

  1. If you like sentence based conversion, we recommend you to use Microsoft Pinyin - New Experience 2010.

  2. If you like word and phrases based conversion, we recommend you to use Microsoft Pinyin - SimpleFast 2010 .

Search whenever you want

Microsoft Pinyin 2010 provides Search Plugin. You can search the content you're typing by clicking the search icon [image] or hitting the hot key "Ctrl + F8". In addition, you can add and choose different search engines based on your needs.

More comprehensive dictionaries

MSPY 2010 has the most popular internet words in its dictionaries, which can help you inpur efficiently in scenarios of chatting etc.

MSPY has forty-seven domain lexicons, specialized word-lists that cover scores of technological and scientific fields, from basic science to cutting-edge disciplines. By choosing the appropriate lexcicons, and use the features of self-learning and user-defined phrase together, MSPY will became your handy and indispensable input tool in your area of expertise.

National standard

The pinyin of the Chinese characters collected in MSPY 2010 vocabulary has been examined and certificated by the State Language Commission.

More online information

  • Visit Official Homepage
  • Login Official Forum for More Help

    © 2010, Microsoft Corporation. All rights reserved.

    New Experience Style ,
    developed by Microsoft Corporation based on the IME jointly developed by Microsoft Corporation and Harbin Institute of Technology. © 2010 Microsoft Corporation and/or its suppliers. All rights reserved.

    SimpleFast Style ,
    developed by Microsoft Corporation based on the IME jointly developed by Microsoft Corporation and Harbin Institute of Technology. © 2010 Microsoft Corporation and/or its suppliers. All rights reserved.


What's New

New input style: Microsoft Pinyin - SimpleFast 2010

Microsoft Pinyin 2010 provides a new input style which is word and phrase based: Microsoft Pinyin - SimpleFast 2010 . You can input the text content word by word, in a very easy way. It fits for internet application scenarios, especially online chatting.

Search plug-in

Microsoft Pinyin 2010 provides Search Plugin . You can search the content you're typing by clicking the search icon [image] or hitting the hot key "Ctrl + F8". In addition, you can add and choose different search engines based on your needs.

Automatically Dictionary Update

Microsoft Pinyin 2010 supports automatically dictionary update. With this support, you can input most popular words anytime when typing.

Open Extended Dictionaries Sharing

You can download and install Open Extended Dictionaries from professioal vendors, which can help you get more comprehensive dictionaries. You can also create your own Open Extended Dictionaries and share with other users.


Quick guide

If this is your first time to use MSPY, just follow the four steps below for a brief overview of the basic features and operation.

The first step: open MSPY Pinyin IME 2010

Click the language button [image] on the language bar, then select the language "Chinese (PRC)" on the menu,

then, click the keyboard button [image] on the language bar and select "Microsoft Pinyin - New Experience 2010".

After that, MSPY buttons appear on the language bar:

The second step: type pinyin

There are many options in MSPY, you will be familiar with them during further practice. In this example, we use MSPY Pinyin - New Experience 2010 input style. Type a sentence like this: "大家喜欢和她去打球", by typing all the pinyin continuously. As you type, you will see:

In the compose window, all the Chinese characters above the dotted line are the conversion result of the pinyin that you have typed, and the letters on the solid line in the reading window are the syllables that you are typing. You can use the LEFT/RIGHT arrow keys to move the cursor and then edit pinyin or Chinese characters in the reading/compose window.

The candidate window is below the pinyin. The first candidate is in blue and is the prediction of the conversion result present in the current pinyin string. If the prediction is correct, press SPACEBAR or 1 to confirm. Other candidates show all possible characters and phrases that the present syllables indicate. You can also press PAGE DOWN or PAGE UP to scroll the candidate window.

Notes

  • The MSPY default setting supports the simplified pinyin input. For some commonly-used phrases, you can type their initial directly. For example, you can type "dj" for "大家".
  • In input mode, you can scroll through the candidate window by pressing the PLUS SIGN (+) or MINUS SIGN (-), and PAGE UP or PAGE DOWN. However, you can not move the cursor by using the UP ARROW or DOWN ARROW keys.

The third step: modify the conversion result

In the second step, you learnt how to type pinyin, check, and then select the candidate. Usually, most conversion results predicted by MSPY are correct, but incorrect conversions are inevitable. In these situations, mis-conversions can be corrected during the input process or after typing the whole sentence.

As am example, after typing the pinyin of the whole sentence, it may be necessary to change "他" into "她". Move the cursor before "他" with the LEFT or RIGHT ARROW keys:

Notes

  • In error correction mode, you can move the cursor in the candidate window by using the UP or DOWN ARROW keys, and scroll candidates by PLUS SIGH or MINUS SIGH and PAGE UP or PAGE DOWN.

The fourth step: confirmation

If all the content in the compose/reading window are just what you want, press ENTER or SPACEBAR to confirm.

The underline will disappear, and the characters you have confirmed are transferred to the text editor. You have typed your first Chinese sentence using MSPY.

Notes

  • Press ENTER, all the content in the compose/reading window, including the converted Chinese characters and the unconverted pinyin, will be confirmed.
  • Press the SPACEBAR, if all the pinyin has already been converted into Chinese characters and the cursor rests at the end of the compose window, then the content in the compose window will be confirmed.

Related Topics


Status bar

MSPY status bar is integrated into the language bar of your operating system. The MSPY buttons on the language bar can be customized shown below, but they can be customized.

Clicking the button on the status bar will switch input states or open MSPY option menu windows. Below is a chart showing the function of each button.

Function | Button | Open a menu
Input style selection | Microsoft Pinyin - New Experience 2010 Microsoft Pinyin - SimpleFast 2010 |
Internal code input | Unicode input GB code input |
Switch between Chinese/English | Chinese English | Not available
Switch between Full-width/half-width | Full-width Half-width symbol | Not available
Switch between Chinese/English punctuation | Chinese punctuation English punctuation | Not available
Character set selection | Simplified Chinese Traditional Chinese Extended character set |
Using soft keyboard | Switch of soft keyboard | Not available
Using IME pad | Switch of IME Pad | Not available
Search keyword | Search keyword | Not available
Search provider selection | Search provide selection |
Open option menu | MSPY option menu |
Using IME pad | Switch of IME Pad | Not available
Open help file | Help file |


Search Plug-in

MSPY 2010 provides search plug-in, with which you can search the content as you're typing.

How to search?

If you need to search the typing content when using Microsoft Pinyin - SimpleFast 2010, please use UP and DOWN to choose the keyword, then click the search button (or hit the hotkey Ctrl + F8). You'll search the keyword with the default search provider.

If you're using Microsoft Pinyin - New Experience 2010, please use the "Select Search Provider" button on status bar:

Note:

There's no built-in search provider in MSPY 2010. So you need to select and install a search provider when you use the search plug-in for the first time.

What is Search Provider?

"Search Provider" refers to the search engines which provide search services.

How to add new search provider?

Please take the steps below if you need to add new search provider.

  • Click the Select Search Provider on status bar
  • Click Add Search Provider

How to set the default search provider?

You can have multiple search plug-ins at the same time, one of them can be set as default.

The steps for setting:

  • Click Select Search Provider on Status Bar
  • Click Search Provider Settings
  • Select the search provider which you want to set as default in the popup dialog.
  • Click Set Default

How to remove search provider?

  • Click Select Search Provider on status bar
  • Click Search Provider Settings
  • Select the search provider which you want to remove in the popup dialog
  • Click Remove button

Note:

You can only remove non-default search providers.


Soft keyboard

The soft keyboard is used for typing special symbols that cannot otherwise be inputted using the standard wester-style keyboard.

Open/close soft keyboard

  • Click the soft keyboard button [image] on the status bar
  • Choose the soft keyboard you need, or "Close Software Keyboard"

Layout of soft keyboard

MSPY dedicates thirteen kinds of layout of soft keyboard:

PC keyboard

Greek alphabet keyboard

Russian alphabet keyboard

Phonetic symbols keyboard

Pinyin letters keyboard

Japanese hiragana keyboard

Japanese katakana keyboard

Punctuation marks keyboard

Math numbers keyboard

Math symbols keyboard

Table symbols keyboard

Chinese numbers/units keyboard
Special symbols keyboard

Select soft keyboard layout

  1. Click Soft Keyboard button on status bar
  2. Click the layout you want from the soft keyboard layout menu


Option menu

Open option menu

  • Click option menu button [image] on the status bar

Related Topics


Reading window and compose Window

Reading window shows the pinyin string you are typing and compose window shows the converted Chinese characters. A solid underline indicates pinyin syllables you are currently typing, the dotted line underscores the conversion result. MSPY will convert pinyin to Chinese characters automatically, but you also can press the SPACEBAR to manually convert.


Candidate window

Operation in candidate window

Candidate window lists homonyms and possible phrases for the inputted text. You can select the correct candidate by using the mouse or numerical keys.

Error correction

When you modify the content in the compose window, there will be a candidate window near the cursor, as below:

This candidate window is a little different from the one in Prompt mode.

  • It contains a sorting arrow [image] (or [image] in a vertical candidate window). Clicking this arrow will open the candidate sorting menu, on where you can select the proper sorting method for candidates.

  • The UP ARROW and DOWN ARROW keys can be used to locate the candidate, press the SPACEBAR to confirm. To scroll over the candidates, please use these key pairs: PAGE UP or PAGE DOWN, PLUS SIGN or MINUS SIGN, and brackets.

Display style of candidate window

There are three display styles for candidate window: Horizontal, Vertical and 2-D. You can select horizontal or vertical on the MSPY property sheet. 2-D is an extension of vertical style.

Horizontal

The candidates are arranged from left to right. The number of the candidates in the window depends on the length of each individual candidate.

Vertical

There are always nine candidates on one screen.

Two-dimensional

2-D candidate window displays more candidates than the other two styles, but 2-D window can only be used when vertical style is selected, and the window is in error correction mode.

Below is a vertical candidate window in error correction mode. Click the button [image] or press the TAB key, to expand to 2-D.

Click the button [image] on 2-D candidate window or press the TAB key, to shrink the 2-D candidate window back to vertical mode.

Related Topics


Property sheet

Open property sheet

  1. Open MSPY option menu

  2. Click Options on the option menu

Set options

There are three tabs on MSPY property sheet:

General

On this tab, you can select pinyin Style and toggle between Chinese and English input.

Related Topics

Advanced

On this tab, you can select Character Set, [Enter] Key Function, enable self-learning and user-defined phrase and select Candidate Style.

Related Topics

Dictionary Management

On this tab, you can select the installed dictionaries, install new dictionaries, remove dictionaries and update dictionaries.

note:

Dictionary Management is shared by both New Experience and SimpleFast Styles.


Input Window

The pinyin you're typing is displayed on the upper part of Input Window. The candidates are displayed on the lower part of Input Window. You can use UP and DOWN to select from the candidates, SPACEBAR to covert, or use number keys to convert directly. After the whole pinyin string is converted, the Chinese characters will be input to the context automatically.

Search button and paging buttons are available on Input Window.


Property sheet

Open option menu

  1. Open MSPY status bar

  2. Click Options on the option menu

Set options

There are three tabs on MSPY property sheet:

General

On this tab, you can select pinyin mode and toggle between Chinese and English input.

Related topic

Advanced

On this tab, you can select Character Set, [Enter] Key Function, enable self-learning and user-defined phrase, and Word Prediction.

Related topic

Dictionary Management

On this tab, you can select the installed dictionaries, install new dictionaries, remove dictionaries and update dictionaries.

notes:

Dictionary Management is shared by both New Experience and SimpleFast Styles.


Microsoft Pinyin - New Experience 2010

While using this input style, there are couples of unconverted pinyin syllables displayed simultaneously in the Reading window, MSPY converts them into Chinese characters automatically, eliminating the reading window flicker.

You can edit both converted Chinese characters and unconverted pinyin by using the LEFT ARROW and RIGHT ARROW keys.

Using new experience input style, when you type a capital letter, MSPY will regard it and suceeding letters as English and stop converting until you confirm so. In addition, MSPY can distinguish web server or mail address containing http, ftp or mailto prefixes.

Related Topics


Microsoft Pinyin - SimpleFast 2010

This is a new input style introduced in MSPY 2010. If you're familiar with word and phrase based conversion, please select this input style.

Select candidate

You can use number keys to select and convert candidates. You can also use UP and DOWN to select candidate and convert it with SPACEBAR

Options to scroll up or down in the candidate window

You can use the keys below to scroll up or down in the candidate window

  • “,” and “.”
  • PLUS/MINUS SIGN
  • Brackets []

The page buttons work as well

Search keyword

You can click the search button [image] or hit hotkey “Ctrl + F8” to search the ongoing composition string (if any) and selected candidate

Related Topics


Full pinyin

In the full pinyin mode, you must type complete pinyin syllables of Chinese characters. For example, if you want to type "一只可爱的小花猫", then every letter of the pinyin string "yizhikeaidexiaohuamao" is required.

Related Topics


Full pinyin (support simplified pinyin)

In the simplified pinyin mode, you only need to type the initial of a syllable, so for example, "zhg" is converted to "中国," and "dj" to "大家." Simplified pinyin mode reduces keystrokes, but increases the number of candidates and thus lowers the accuracy of auto-conversion.

To increase the accuracy of auto-conversion, it is recommended to use Full Pinyin mode.

Related Topics


Double pinyin

Using double pinyin mode, every Chinese character is typed by two keystokes: one for its initial and the other for its final. Double pinyin mode reduces keystrokes and improves input speed; however, you must memorize the keyboard scheme.

Set MSPY Double Pinyin Scheme

Double Pinyin Scheme maps every key to an initial and/or final, which can be customized by you. Below is the MSPY default keyboard scheme.

Define double pinyin scheme

  1. Open MSPY property sheet
  2. Click the General Tab

  3. Click the button Double Pinyin Scheme
  4. Click the button New Scheme
  5. Define initial and/or final for each key
  6. Click the button Save As, name the scheme, and then click Save

notes:

Double pinyin is available for both Microsoft Pinyin - New Experience 2010 and Microsoft Pinyin - SimpleFast 2010

Related Topics


Fuzzy pinyin

Overcoming accent is not an easy thing when using Pinyin, which is based on the pronunciation of putonghua(普通话). Chinese characters that sound alike can often confused with one another. Using fuzzy input mode, MSPY will provide candidates regardless of local accent.

After setting fuzzy pairs, whenever you type a commonly confused pinyin pair, the similar syllables is shown in the candidate window as well. For example: after setting the "sh-s" fuzzy pair, when you type "si", both "四" and "十" will be shown. MSPY supports the following eleven fuzzy pairs:

Fuzzy pair | Default | Fuzzy pair | Default
zh, z | Yes | f, hu | No
ch, c | Yes | wang, huang | Yes
sh, s | Yes | an, ang | Yes
n, l | No | en, eng | Yes
l, r | No | in, ing | Yes
f, h | No |  |

Set fuzzy pairs

After enabling Fuzzy Pinyin, you can use the fuzzy pairs schemes used by MSPY as the default, as well choosing your own fuzzy pairs.

  1. Open MSPY property sheet, click the General Tab

  2. In the Pinyin area, click the button Fuzzy Pairs Setting
  3. Select the fuzzy pairs in Fuzzy Pairs List

  4. Click the button OK

Notes:

Fuzzy pinyin is available for both Microsoft Pinyin - New Experience 2010 and Microsoft Pinyin - SimpleFast 2010


Inline define phrases

When you are typing Chinese characters using MSPY, you can define your own phrases inline, as follows:

  1. Make sure Enable user-defined phrase is selected
  2. Select the Chinese characters you want to define as a phrase in the compose window

  3. Press ENTER

Notes

  • The phrase defined inline can only be composed of two to nine Chinese characters, and will not be added to the main MSPY lexicon.
  • Defining phrases inline is only available for Microsoft Pinyin - New Experience 2010 style.

Related Topics


Confirmation

If you press ESC before confirming, the content of the compose/reading window will be completely lost. You can press ENTER or SPACEBAR to confirm the content of the reading/compose window.

  • Press ENTER: all content in the reading/compose window, including the unconverted pinyin, will be transferred to the editor.

    Case one: pinyin in the reading window

    Before ENTER is pressed:

    After ENTER is pressed:

    Case two: no reading window

    Before ENTER is pressed:

    After ENTER is pressed:

  • Press the SPACEBAR: if there is still unconverted pinyin in the reading window, it will be converted to Chinese characters first, then transferred to the editor.

    Case one: pinyin in the reading window

    Before the SPACEBAR is pressed:

    After the SPACEBAR is pressed:

    Case two: no reading window

    Before the SPACEBAR is pressed:

    After the SPACEBAR is pressed:

Note

  • [Enter] Key Function can be customized by selecting composition Direct Input or Pinyin Conversion(same as SPACE) in the [Enter] key function area.
  • This confirmation is available for Microsoft Pinyin - New Experience 2010 style.


Pinyin recall

Before confirmation, the Chinese characters in the compose window can be reconverted into pinyin and edited.

In Microsoft Pinyin - New Experience 2010 input style, you can press SHIFT+BACKPACE or the grave accent (`) to recall the pinyin using any input style.

  • Using SHIFT+BACKSPACE to reconvert the Chinese character on the left side of the cursor.

    Step 1: move cursor to the right side of the Chinese character

    Step 2: press SHIFT+BACKSPACE

  • Using grave accent (`) to reconvert the Chinese character on the right side of the cursor.

    Step 1: move cursor to the left side of the Chinese character

    Step 2: press grave accent (`)


Pinyin style

  1. Open MSPY property sheet

  2. In the Pinyin Style area, click the style you want to use
  3. Click OK

Notes:

Pinyin style setting is available for both Microsoft Pinyin - New Experience 2010 and Microsoft Pinyin - SimpleFast 2010 styles

Related Topics


Chinese/English input switching key

  1. Open MSPY property sheet

  2. Click the Shift or Ctrl in Chinese/English Input Switching Key area.
  3. Click OK

Notes:

Chinese/English switching key is available for both Microsoft Pinyin - New Experience 2010 and Microsoft Pinyin - SimpleFast 2010 styles

Related Topics


Candidate style

Select candidate prompt

  1. Open MSPY property sheet,and click the Advanced Tab

  2. In the Candidate Style area, click the Horizontal Window or Vertical Window option button
  3. Click OK

Show pinyin candidate

  1. Open MSPY property sheet, and click the Advanced Tab

  2. In the Candidate Style area, click the Show Pinyin Candidate check box
  3. Click OK

Use word prediction

  1. Open MSPY property sheet, and click the Advance Tab
  2. In the Candidate Style area, click the Word Prediction check box
  3. Click OK

Notes:

“Set candidate window style “ and “Show pinyin candidate” are only available for Microsoft Pinyin - New Experience 2010 style


Character set

By selecting the appropriate Chinese character set, you can type Chinese characters more efficiently and not be overwhelmed by too many candidates. MSPY provides three series of character set:

  • Simplified Chinese contains commonly-used characters of modern Chinese.
  • Traditional Chinese contains traditional and substandard characters and inherited characters.
  • Extended Character Set is the combination of simplified and traditional Chinese character set, covering most GBK Chinese characters and symbols.

Select character set

  1. Open MSPY property sheet, click the Advanced Tab

  2. Click the character set you want in the Character Set area
  3. Click OK

You also can select character set as follows:

  1. Click the character set button [image], [image] or [image] on the status bar
    or
  2. Click the proper character set on character set menu

Notes:

Character set is available for both Microsoft Pinyin - New Experience 2010 and Microsoft Pinyin - SimpleFast 2010 styles


Self-learning

The feature of self-learning in MSPY has been improved from previous versions in two ways:

  • learning capability
    and
  • learning speed.
    Furthermore, you can move self-learnt phrases into the user-defined phrase dictionary with the user-defined phrase tool.

    Enable self-learning

    1. Open MSPY property sheetand click Advanced tab

    2. In the Dictionary Setting area, click the Enable Self-learning check box
    3. Click OK

    Clear the contents of self-learning

    1. Open MSPY property sheet
    2. Click the Advanced Tab
    3. In the Dictionary Setting area, click the Clear Self-learning Contents button
    4. Click OK on the popup dialog box

    Notes

    Self-learning settings are available for both Microsoft Pinyin - New Experience 2010 and Microsoft Pinyin - SimpleFast 2010 styles

    Related Topics


User-defined phrases

User-defined phrase

By using this feature, you can define phrases which are not in the MSPY main lexicon, and assign shortcut keys for each phrase defined.

MSPY supports two kinds of user-defined phrase: standard and extended. The standard user-defined phrases are composed of two to nine Chinese characters and can be typed by pinyin. The extended user-defined phrases are composed of two to 255 Chinese characters, English letters and punctuation marks (excluding control characters, such as space and tab) and can only be typed using a shortcut key.

 | Standard phrase | Extended phrase
Compose | 2-9 Chinese characters | 2-255 Chinese characters, English letters and symbols
Define | Inline define, user-defined phrase tool | User-defined phrase tool only
Type | Pinyin, or shortcut key | Shortcut key only

Enable user-defined phrase

  1. Open MSPY property sheet
  2. Click the Advanced Tab

  3. In the Dictionary Setting area, click Enable User-defined Phrase check box
  4. Click OK

Clear user-defined phrases

  1. Open MSPY property sheet
  2. Click the Advanced Tab
  3. In the Dictionary Setting area, click the Clear User-defined Phrases button
  4. In the popup dialog box that appears, click OK

Related Topics


Dictioanry management

MSPY domain lexicons

MSPY has forty-seven domain lexicons, specialized word-lists that cover scores of technological and scientific fields, from basic science to cutting-edge disciplines. By choosing the appropriate lexcicons, and use the features of self-learning and user-defined phrase together, MSPY will became your handy and indispensable input tool in your area of expertise.

The first four lexicons - Computer science, electronic engineering, Biochemistry and Automation - are used by MSPY as default.

Internet popular words
Computer science
Electrical engineering
Biochemistry
Automation
Medical science
Psychology
Highway transportation technology
Forestry
Chemical engineering
Botany
Agriculture
Sailing technique
Geophysics
Geography
Astronomy
Railway technology
Oil
Biophysics
Construction, gardening and city planning
Oceanography
Zoology
Geology
Atmospheric sciences
Study of survey and drawing
Electrotechnics
Mechanical engineering
Coal technology
Entomology
Physics
Mechanics
Physiology
Mathematics
Anatomy
Embryology
Pedology
Microbiology
Bio-cytology
Metallurgy
Genetics
Pharmacy
Histology
Chemistry
Paleontology

Popular words

MSPY 2010 provides a dictionary including those words which are most popular. This dictionary is selected by default.

Use domain lexicon

  1. Open MSPY property sheet
  2. Click the Dictionary management Tab

  3. In the Dictionary Setting area, click the Enable Domain Lexicon check box
  4. Click the Domain Lexicon Setting button
  5. Select the lexicons you want to use from the list
  6. Click OK

Install new dictionaries

Click the Install new dictionaries button, Microsoft Pinyin will automatically look for new available dictionaries and prompt to install

Dictionary Update

  • If you select Update Microsoft published dictionaries automatically through Microsoft Update, Microsoft Pinyin will automatically update dictionaries
  • If you click Install updates now, Microsoft Pinyin will immediately start dictionary update

Notes:

Dictionary Management is shared by both New Experience and SimpleFast Styles.


How to input radical

A radical is the basic component of a Chinese character. Some radicals are also Chinese characters in their own right: 山, 马, 日, 月, for example. This kind of radical can be typed directly using its pronunciation in Pinyin.

Some radicals are not stand-alone Chinese characters, for example: 冫(liang dian shui), 纟(jiao si pang). For these radicals, MSPY names them after the pronunciation of the first character of their names, for example, "liang" for "冫", and "jiao" for "纟".

The following table shows the radical, its name, and its pinyin entry. The radicals without parentheses can be typed using the simplified Chinese character set, the ones enclosed in parentheses must be typed using the traditional Chinese character set. All of them are supported in the extended character set.

Radical | Name | Pinyin
One stroke
丶 | Dian | dian
丨 | Shu | shu
(乛) | Zhe | zhe
Two strokes
冫 | Liang dian shui er | liang
冖 | Tu bao gai er | tu
亠 | Wen zi tou er | wen
讠 | Yan zi pang er | yan
刂 | Li dao pang er | li
亻 | Dan ren pang er | dan
卩 | Dan er pang er | dan
阝 | Zuo er dao er | zuo
(丷) | Ba zi tou er | ba
(丆) | Shi zi tou er | shi
冂 | Tong zi kuang | tong
Three strokes
辶 | Zou zhi er | zou
氵 | San dian shui er | san
忄 | Shu xin pang | shu
艹 | Cao zi tou | cao
宀 | Bao gai er | bao
(乊) | Hu zi tou | hu
彡 | San pie er | san
丬 | Jiang zi pang | jiang
扌 | Ti shou pang | ti
犭 | Fan quan pang | fan
饣 | Shi zi pang | shi
纟 | Jiao si pang | jiao
夂 | Zhe wen er Dong zi tou er | zhe dong
Four strokes
礻 | Shi zi pang | shi
攵 | Fan wen er | fan
(爫) | Zhao zi tou er | zhao
(罓) | Gang zi pang Wang zi pang | gang wang
(牜) | Niu zi pang | niu
Five or more strokes
疒 | Bing zi pang | bing
衤 | Yi zi pang | yi
钅 | Jin zi pang | jin
虍 | Hu zi tou er | hu
糸 | Jiao si pang | jiao
(罒) | Si zi tou er | si
(覀) | Xi zi tou er | xi
(糹) | Jiao si pang | jiao
(訁) | Yan zi pang | yan
(釒) | Jin zi pang | jin
(飠) | Shi zi pang | shi


How to input uncommonly-used characters with internal code

MSPY not only supports the Chinese character input by its pronunciation, but also by its hexadecimal code, including Unicode and GB18030. For example, "和" has a code as "548C" in Unicode, and "BACD" in GB18030.

Internal code input is the preferred method for typing Chinese characters of extended character sets that have more than one pronunciation.

Using internal code input

  1. Open MSPY option menu and go to Secondary Input

  2. Click the internal code you want to use

    Note

    You can also input internal code by leading keys:

  • `U: Leading key for inputting Unicode. Typing `U548C, you will get "和".
  • `G: Leading key for inputting GB18030. Typing `GBACD, you will get "和".


How to input English

MSPY offers you some options to type English words and abbreviations in your Chinese document.

  • Microsoft Pinyin - New Experience 2010

    MSPY can identify English words typed entirely in upper-case.

  • ENTER

    Press ENTER before the English letters being converted into Chinese characters.

  • Toggle between Chinese/English

    Click the Chinese/English toggle button ( [image] or [image]) on the status bar to switch the input mode.

Related Topics


How to use user-defined phrase tool

User-defined phrase tool is used to manage and maintain the user-defined phrase dictionary and/or self-learned phrases. For the user-defined phrase dictionary, you can edit and assign shortcut keys for each phrase, and import or export to a text file. For self-learned phrases, you can delete them, move them into the user-defined phrase dictionary, or export to a text file.

Open user-defined phrase tool

  1. Open MSPY option menu
  2. On the option menu, click User-defined Phrase Tool

Notes

  • There are two tabs on the interface of user-defined phrase tool: "User-defined Phrases" and "Self-learned Phrases". "User-defined Phrases" is opened as default.

Edit user-defined phrases

To open the Phrase Editor dialog box either:

  • Double click a phrase item
    or
  • Click the button [image] on the toolbar

Maintain self-learned phrases

To operate self-learned phrases, click the Self-learned Phrases tab. Each self-learned phrase can be deleted, move into the user-defined phrase dictionary, or exported to a text file.

Related Topics


Use shortcut key for user-defined phrases

By using user-defined phrase tool, you can assign shortcut keys for every user-defined phrase. A valid shortcut key is made up of two to eight digits and/or lowercase letters. Whilst using a shortcut key to type a phrase, a leading grave accent (`) and (Z) are required.

For example, a shortcut key "MSPY " is assigned for "微软拼音输入法", the following step shows how to type this phrase using its shortcut key.

  1. Type grave accent (`), Z, and "MSPY"
  2. Press the SPACEBAR

Notes

  • Make sure Enable User-defined Phrase is selected before using a shortcut key.
  • You must use the shortcut key at the beginning of the reading window.

Related Topics


Features integrated with office

The features described in this Help topic are only available with Microsoft Office.

  • Reconvert

    Chinese characters already confirmed can be called back to the compose window, then modified, or new candidates chosen. Reconversion is context-sensitive. To implement reconversion, select the command Reconvert from the shortcut menu, or just press the shortcut key [image] +C.

  • Right-click to show candidates on shortcut menu

    If you right-click on a Chinese character, the shortcut menu lists the 5 most possible characters for it. Also in the shortcut menu is the Reconvert command.

  • Context-sensitive input

    MSPY can give you a more accurate conversion according to the context of surrounding words.

  • Phonetic guide

    MSPY can show the pinyin for the slected Chinese text in Microsoft Word, which is known as phonetic guides. Below is an example:

  • Update IME dictionary

    This is a new feature in MSPY that is integrated with Microsoft Word. The MSPY dictionary of user-defined phrases can be used in Microsoft Word as well, which is a huge benefit to Chinese proofreading. You can edit and update the user dictionary both in Microsoft Word and MSPY.


Register new word

Register New Word is used to update Microsoft Pinyin IME. If you select the Register and Send check box and then click the Register button, information about the registered word and Microsoft IME will be sent to Microsoft in parallel with the word registration process. If you don't select the check box, no data will be sent.

Open update microsoft pinyin IME

  1. Open MSPY option menu

  2. On the option menu, click Register New Word.

Note

  • The phrases you define will be added to "User-defined Phrase" after clicking the Register button. You can open User-defined Phrase Tool by clicking the Dictionary tool button.
  • Some phrases you sent to Microsoft may be included in the Dictionary Updates if they are common among other users.

Related Topics


Mis-conversion report

Mis-conversion report is designed to collect data on characters that are converted incorrectly, in order to improve MSPY.
You can choose whether to send this report, and also edit or view the detailed data to be reported.

Customize microsoft IME mis-conversion setting

  1. Open MSPY option menu

  2. On the option menu, click Mis-conversion report

  3. Click the setting button
  4. Check or uncheck Logs mis-conversion data automatically check box
  5. Click OK

Note

  • "Logs mis-conversion data automatically" is not the default. A dialog box will pop up after first clicking on Mis-conversion report, and can be enabled by pressing Yes.
  • Mis-conversion report is available for both Microsoft Pinyin - New Experience 2010 and Microsoft Pinyin - SimpleFast 2010

Related Topics


Dictionary update

Microsoft Pinyin supports automatically/manually dictionary update, to ensure that you can input the most popular words anytime when typing.

Related Topics


Pinyin standard

Special initials and finals

MSPY uses the Chinese Pinyin Scheme approved in the first National People's Congress in 1958. However, some special intials and finals in the Chinese Pinyin Scheme have different input in MSPY, so that they are more easily inputted using a standard western keyboard.

The table below sumarizes the differences between MSPY and the Chinese Pinyin Scheme:

Chinese pinyin scheme | MSPY
ü | v
誒 ê | ea
噷 hm | hen
哼 hng | heng
呒 m | mu
嗯 n, ng | en

Tones

MSPY supports input with intonation. 1, 2, 3, and 4 represent the four tones of Chinese characters respectively, and 5 stands for "slight tone."

Syllable seperation

MSPY uses single quotation marks (') to seperate syllables when confusion may occur. You can also seperate the syllables by using the SPACEBAR or tone numerals.


Keyboard shortcuts

Frequently used shortcut keys in MSPY:

Shortcut | Action
SPACEBAR | Convert pinyin into Chinese character, or select the candidate
ENTER | Confirm the conversion
LEFT/RIGHT ARROW | Move in the reading window or compose window
HOME/END | Move to the beginning or the end of the reading window or compose window
UP/DOWN ARROW | Move in the candidate window
PAGEUP or PAGEDOWN | Scroll up or down in the candidate window
PLUS/MINUS SIGN | Scroll up or down in the candidate window
Brackets [] | Scroll up or down in the candidate window
SHIFT+BACKSPACE | Reconvert the Chinese character on the left side of the cursor back to pinyin
Grave accent ` | Reconvert the Chinese character on the right side of the cursor back to pinyin, or to type user-defined phrase by using a shortcut key

Other keyboard shortcuts relevant to IME.

Shortcut | Action
CTRL+SPACEBAR | Open/close IME
SHIFT | Switch between Chinese and English
CTRL+PERIOD | Switch between Chinese punctuation and English punctuation
SHIFT+SPACEBAR | Switch between full-width and half-width

Related Topics


Chinese punctuations

The table below shows Chinese punctuations supported by MSPY, and the relevant input keys. Chinese punctuation is displayed in full-width regardless of other formatting settings used.
Chinese punctuation | Symbol | Key | Note
Period | 。 | . |
Comma | ， | , |
Semicolon | ； | ; |
Pause mark | 、 | \ |
Colon | ： | : |
Question mark | ？ | ? |
Exclamation mark | ！ | ! |
Double quotation marks | “” | " | Auto pairing
Single quotation marks | ‘’ | ' | Auto pairing
Left book title mark | 《〈 | < | Auto nesting
Right book title mark | 》〉 | > | Auto nesting
Ellipsis | …… | ^ | Auto doubling
Dash | —— | _ | Auto doubling
Separation dot | · | @ |
Em dash | — | & |
RMB mark | ￥ | $ |


About MSPY vocabulary

The pinyin of the Chinese characters collected in MSPY vocabulary has been examined and certificated by the State Language Commission. The only exception is that MSPY retains the pinyin "ju2" for "桔", since in Modern Chinese Dictionary "桔" is considered as a popular form of "橘" and is more widely used.